# Uses of Interface
com.fasterxml.jackson.core.TreeNode

Packages that use TreeNode
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of TreeNode in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core with type parameters of type TreeNode
Modifier and Type
Method
Description
`abstract <T extends TreeNode>
T`
ObjectCodec.`readTree(JsonParser p)`
Method for deserializing JSON content as tree expressed using set of `TreeNode` instances.
`abstract <T extends TreeNode>
T`
TreeCodec.`readTree(JsonParser p)`
`<T extends TreeNode>
T`
JsonParser.`readValueAsTree()`
Method to deserialize JSON content into equivalent "tree model", represented by root `TreeNode` of resulting model.
Methods in com.fasterxml.jackson.core that return TreeNode
Modifier and Type
Method
Description
`TreeNode`
TreeNode.`at(JsonPointer ptr)`
Method for locating node specified by given JSON pointer instances.
`TreeNode`
TreeNode.`at(String jsonPointerExpression)`
Convenience method that is functionally equivalent to:
`abstract TreeNode`
ObjectCodec.`createArrayNode()`
Method for construct root level Array nodes for Tree Model instances.
`abstract TreeNode`
TreeCodec.`createArrayNode()`
`abstract TreeNode`
ObjectCodec.`createObjectNode()`
Method for construct root level Object nodes for Tree Model instances.
`abstract TreeNode`
TreeCodec.`createObjectNode()`
`TreeNode`
TreeNode.`get(int index)`
Method for accessing value of the specified element of an array node.
`TreeNode`
TreeNode.`get(String fieldName)`
Method for accessing value of the specified field of an object node.
`TreeNode`
TreeCodec.`missingNode()`
`TreeNode`
TreeCodec.`nullNode()`
`TreeNode`
TreeNode.`path(int index)`
Method for accessing value of the specified element of an array node.
`TreeNode`
TreeNode.`path(String fieldName)`
Method for accessing value of the specified field of an object node.
Methods in com.fasterxml.jackson.core with parameters of type TreeNode
Modifier and Type
Method
Description
`abstract JsonParser`
ObjectCodec.`treeAsTokens(TreeNode n)`
Method for constructing a `JsonParser` for reading contents of a JSON tree, as if it was external serialized JSON content.
`abstract JsonParser`
TreeCodec.`treeAsTokens(TreeNode node)`
`abstract <T> T`
ObjectCodec.`treeToValue(TreeNode n, Class<T> valueType)`
Convenience method for converting given JSON tree into instance of specified value type.
`abstract void`
JsonGenerator.`writeTree(TreeNode rootNode)`
Method for writing given JSON tree (expressed as a tree where given JsonNode is the root) using this generator.
`abstract void`
ObjectCodec.`writeTree(JsonGenerator gen, TreeNode tree)`
Method for serializing JSON content from given Tree instance, using specified generator.
`abstract void`
TreeCodec.`writeTree(JsonGenerator g, TreeNode tree)`

## Uses of TreeNode in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base with parameters of type TreeNode
Modifier and Type
Method
Description
`void`
GeneratorBase.`writeTree(TreeNode rootNode)`

## Uses of TreeNode in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util with parameters of type TreeNode
Modifier and Type
Method
Description
`void`
JsonGeneratorDelegate.`writeTree(TreeNode tree)`